#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           ktexttemplate
Version: 6.5.0
Release:        %mkrel %rel
Summary:        Separates the structure of documents from their data
Group:          System/Base
License:        CC0-1.0 AND LGPL-2.0-or-later AND LGPL-2.1-or-later
URL:            https://invent.kde.org/frameworks/ktexttemplate
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)

%description
The goal of KTextTemplate is to make it easier for application developers to
separate the structure of documents from the data they contain, opening the door
for theming and advanced generation of other text such as code.

%files
%license LICENSES/*.txt
%_kf6_categoriesdir/ktexttemplate.categories
%_kf6_plugindir/ktexttemplate/

#--------------------------------------------------------------------

%define kf6texttemplate_major 6
%define libkf6texttemplate %mklibname kf6texttemplate %{kf6texttemplate_major}

%package -n %libkf6texttemplate
Summary:        KDE Frameworks 6 Tier 1 separates the structure of documents from their data
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf6texttemplate
KDE Frameworks 6 Tier 1 separates the structure of documents from their data.

%files -n %libkf6texttemplate
%license LICENSES/*
%_kf6_libdir/libKF6TextTemplate.so.%{kf6texttemplate_major}
%_kf6_libdir/libKF6TextTemplate.so.%{version}

#--------------------------------------------------------------------

%define kf6texttemplate_devel %mklibname kf6texttemplate -d

%package -n %kf6texttemplate_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6texttemplate = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6texttemplate_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6texttemplate_devel
%_kf6_includedir/KTextTemplate/
%_kf6_libdir/cmake/KF6TextTemplate/
%_kf6_libdir/libKF6TextTemplate.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084400
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070563
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063422
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056853
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044951
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037511
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029604
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025638
- New version 5.247.0
- New version 5.246.0

* Sat Nov 11 2023 daviddavid <daviddavid> 5.245.0-1.mga10
+ Revision: 2006082
- initial package ktexttemplate

